JUnitTestSuiteBinarySpec (Gradle API 4.3.1)
Date: 2017-11-08

org.gradle.jvm.test

## Interface JUnitTestSuiteBinarySpec

- All Superinterfaces:
    Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, JvmBinarySpec, JvmTestSuiteBinarySpec, ModelElement, Named, TestSuiteBinarySpec, org.gradle.jvm.internal.WithDependencies

      @Incubating
      public interface JUnitTestSuiteBinarySpec
      extends JvmTestSuiteBinarySpec

  Represents a JUnit test suite binary.
  Since:
    2.11

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.jvm.test.JvmTestSuiteBinarySpec

      `JvmTestSuiteBinarySpec.JvmTestSuiteTasks`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getjUnitVersion()`
    `JUnitTestSuiteSpec` | `getTestSuite()` Returns the test suite that this binary belongs to.
    `void` | `setjUnitVersion(String version)`

    - ### Methods inherited from interface org.gradle.jvm.test.JvmTestSuiteBinarySpec

      `getRuntimeClasspath, getTasks, getTestedBinary`

    - ### Methods inherited from interface org.gradle.jvm.JvmBinarySpec

      `getClassesDir, getResourcesDir, getTargetPlatform, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.jvm.internal.WithDependencies

      `getDependencies, setDependencies`

- - ### Method Detail

    - #### getTestSuite

          JUnitTestSuiteSpec getTestSuite()

      Description copied from interface: `TestSuiteBinarySpec`
      Returns the test suite that this binary belongs to.
      Specified by:
        `getTestSuite` in interface `JvmTestSuiteBinarySpec`
      Specified by:
        `getTestSuite` in interface `TestSuiteBinarySpec`

    - #### getjUnitVersion

          String getjUnitVersion()

    - #### setjUnitVersion

          void setjUnitVersion(String version)